package com.platform.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.platform.entities.SystemEntity;

/**
 * @author chen
 * 数据迁移状态 临时 存放 ，
 */
@Repository(value = "systemCodeDao")
public interface ISystemCodeDao {

	/** 查
	 * @return
	 * @throws Exception
	 */
	List<SystemEntity> findAllSystem() throws Exception;
	
	List<SystemEntity> findSubSystemByName(SystemEntity system) throws Exception;
	
	List<SystemEntity> findSubSystemByCode(SystemEntity system) throws Exception;
	
	List<SystemEntity> findByName(List<String> list) throws Exception;
	
	List<SystemEntity> findByCode(List<String> list) throws Exception;
	
	void insertBatch(List<String> list) throws Exception;
}
